//if deyiminin kullanimi
import java.applet.Applet;  // java applet sinifini cagir
import java.awt.*;          // java pencere kullanma sinifini cagir
import java.awt.event.*;    //  java pencereyi dinleme sinifini cagir

public class karsilastirmaApplet extends Applet implements ActionListener
{
    Label soru1;       //kullaniciya birinci degeri girme sorusu sorar
    TextField girdi1;  //birinci degeri girme kutusu
    Label soru2;       //kullaniciya ikinci degeri girme sorusunu sorar
    TextField girdi2;  //ikinci degeri girme kutusu
    int sayi1,sayi2;   //girilen iki sayi

    //graphic kullanici baglantisindaki ilk degerleri tanimla
    public void init()
    {
       soru1=new Label("Bir sayi giriniz       ");
       girdi1=new TextField(10);
       soru2=new Label("Ikinci bir sayi giriniz");
       girdi2=new TextField(10);
       add(soru1); //soru1 yazisini applete cizer
       add(girdi1);//girdi1 kutusunu applete cizer
       add(soru2); //soru2 yazisini applete cizer
       girdi2.addActionListener(this);
        // soru2 den sonra girdi (return) tusunu bekler
        // girdi(return) tusundan sonra actionPerformed
        // metoduna gider
       add(girdi2); //girdi2 kutusunu applete cizer
    }

    // sonuclari applete yazdir
    public void paint(Graphics g)
    {
       g.drawString("Karsilastirma sonuclari : ",70,75);
       if(sayi1 == sayi2)
         g.drawString(sayi1+" == "+sayi2,100,90);
       if(sayi1 != sayi2)
         g.drawString(sayi1+" != "+sayi2,100,105);
       if(sayi1 < sayi2)
         g.drawString(sayi1+" <  "+sayi2,100,120);
       if(sayi1 > sayi2)
         g.drawString(sayi1+" >  "+sayi2,100,135);
       if(sayi1 <= sayi2)
         g.drawString(sayi1+" <= "+sayi2,100,150);
       if(sayi1 >= sayi2)
         g.drawString(sayi1+" >= "+sayi2,100,165);
    }

    // eger girdi(return) tusuna basildiysa bu
    // metodu cagir
    public void actionPerformed( ActionEvent e)
    {
         // sayi 1 i girdi kutusundan oku
         sayi1=Integer.parseInt(girdi1.getText());
         // sayi 2 i girdi kutusundan oku
         sayi2=Integer.parseInt(girdi2.getText());
         repaint();
    }
}
